summary refs log tree commit diff
path: root/.ci
diff options
context:
space:
mode:
authorKonstantinos Sideris <sideris.konstantin@gmail.com>2017-05-08 16:27:21 +0300
committerKonstantinos Sideris <sideris.konstantin@gmail.com>2017-05-08 16:27:21 +0300
commite77fb8a6e7a77a0f3d2b816a18dc7be9e786a645 (patch)
tree5b70476585c3675e279e0c60914ecf3df4e1e540 /.ci
parentFix windows build (diff)
downloadnheko-e77fb8a6e7a77a0f3d2b816a18dc7be9e786a645.tar.xz
Add tests on travis
Diffstat (limited to '.ci')
-rwxr-xr-x.ci/linux/gtest.sh19
-rwxr-xr-x.ci/linux/install-deps.sh (renamed from .ci/linux.sh)0
-rwxr-xr-x.ci/linux/run-tests.sh8
3 files changed, 27 insertions, 0 deletions
diff --git a/.ci/linux/gtest.sh b/.ci/linux/gtest.sh
new file mode 100755
index 00000000..8dd7084c
--- /dev/null
+++ b/.ci/linux/gtest.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+set -evx
+
+sudo apt-get -qq update
+sudo apt-get install -y libgtest-dev
+wget https://github.com/google/googletest/archive/release-1.8.0.tar.gz
+tar xf release-1.8.0.tar.gz
+cd googletest-release-1.8.0
+
+cmake -DBUILD_SHARED_LIBS=ON .
+make
+sudo cp -a googletest/include/gtest /usr/include
+sudo cp -a googlemock/gtest/*.so /usr/lib/
+
+sudo ldconfig -v | grep gtest
+
+cd $TRAVIS_BUILD_DIR
+
diff --git a/.ci/linux.sh b/.ci/linux/install-deps.sh
index 2e63da4b..2e63da4b 100755
--- a/.ci/linux.sh
+++ b/.ci/linux/install-deps.sh
diff --git a/.ci/linux/run-tests.sh b/.ci/linux/run-tests.sh
new file mode 100755
index 00000000..ae0c7b77
--- /dev/null
+++ b/.ci/linux/run-tests.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -evx
+
+cmake -DBUILD_TESTS=ON -H. -Bbuild -DCMAKE_BUILD_TYPE=Release
+make -C build -j2
+
+cd build && GTEST_COLOR=1 ctest --verbose